2011-05-04  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* texmfmp.c (ipc_open_out): Avoid to #define SOCK_NONBLOCK which
	conflicts with newer GNU C library headers.

2011-05-04  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* openclose.c (recorder_change_filename): on windows, an opened file
	cannot be renamed.

2011-05-02  Karl Berry  <karl@tug.org>

	* openclose.c (recorder_change_filename): take output_directory
	into account.  Report/patch from 
	Philipp Stephani, 30 Apr 2011 16:11:53,
	http://tracker.luatex.org/view.php?id=615

2011-04-28  Karl Berry  <karl@tug.org>

	* printversion.c (printversionandexit): it is 2011.

2011-04-27  Karl Berry  <karl@tug.org>

	* texmfmp.c (initscreen): do not mention mfw, which is no more.
	Suggestion from Reinhard Kotucha, tex-k mail 21 Jul 2010 11:40:36.

2011-04-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Avoid 'differ in signedness' warnings.
	texmfmp.c (input_line): Caat input_line2() arg2 to 'char *'.

2011-03-07  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* setupvar.c (setupboundvariable): `program_invocation_name' has
	been renamed into `kpse_invocation_name'.

2011-03-10  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* texmfmp.c (calledit): [__MINGW32__] Drop win32_system() and
	use system() as for all other systems.

2010-06-10  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Reorganize web2c headers.
	* alloca.c, basechsuffix.c, chartostring.c, coredump.c,
	eofeoln.c, fprintreal.c, input2int.c, inputint.c, main.c,
	openclose.c, printversion.c, setupvar.c, uexit.c, usage.c,
	zround.c:
	#include <w2c/config.h> instead of <config.h> or "config.h".
	* version.c: #include <w2c/c-auto.h> instead of "c-auto.h".

2010-06-06  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* texmfmp.c: include kpathsea/concatn.h if WIN32 is defined.

2010-06-04  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* texmfmp.c: include kpathsea/concatn.h and remove cast
	for concatn ().

2010-05-24  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* texmfmp.c: on win32, all restricted shell escape commands are
	executed by fullpath.

2010-05-18  Karl Berry  <karl@tug.org>

	* printversion.c (printversionandexit): 2010.

2010-05-10  Karl Berry  <karl@tug.org>

	* input2int.c (zinput2ints, zinput3ints): don't bother
	to cast result of fprintf.

2010-04-25  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* lib.h:
	* texmfmp.c: remove TEXDLL.

2010-04-21  Karl Berry  <karl@tug.org>

	* Makefile.am (EXTRA_DIST),
	* win32main.c: rm per Akira.

2010-04-20  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* texmfmp.c, lib.h: Remove luaTeX specific code.

	* lib.h: Move extern declaration of ptexbanner from here
	to ../pdftexdir/ptexlib.h (instatiated in texmfmp.c).

2010-04-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* main.c, texmfmp.c: Remove extern declaration of mainbody,
	is in lib.h.
	* openclose.c (recorder_enabled, output_directory): Remove
	extern declarations, are in lib.h.
	* lib.h: Move extern declaration of fullnameoffile to here ...
	* texmfmp.c: ... from here ...
	* openclose.c: ... and from here.
	* texmfmp.c [XeTeX]: Move extern declarations of papersize and
	outputdriver from here to ../xetexdir/XeTeX_ext.h.

	* Makefile.am, openclose.c, printversion.c:
	Integrate libp.a for pTeX.

2010-04-18  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* texmfmp.c (maininit) [__SyncTeX__]: omit warning about no
	SyncTeX for pTeX.

2010-04-11  Karl Berry  <karl@tug.org>

	* texmfmp.c,
	* printversion.c,
	* openclose.c,
	* chartostring.c,
	* basechsuffix.c: remove useless casts to (string) or (char *),
	etc. of xmalloc.

2010-03-30  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* openclose.c (open_input): Fixed a typo.
	From Akira Kakuto <kakuto@fuk.kindai.ac.jp>, 30 Mar 2010 12:33:33.

2010-03-30  Karl Berry  <karl@tug.org>

	* (recorder_start): throw in pid in recorder_name so parallel builds
	have a chance of working.  Report from
	Kirill Smelkov, Debian bug 575731, tex-k mail 29 Mar 2010 06:18:35.

2010-03-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* setupvar.c (setupboundvariable): Fix off by one error in msg.

2010-03-05  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* texmfmp.c (setupboundvariable): Moved from here ...
	* setupvar.c (new): ... to here for use in non-engine programs.
	* lib.h (setupboundvariable): Moved from ../texmfmp.h to here.
	* Makefile.am (lib_a_SOURCES): Added setupvar.c.

2010-02-24  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* texmfmp.c (IPC) [WIN32]: #include <winsock2.h> instead of
	<sys/socket.h> and <fcntl.h>, use ioctlsocket() instead of
	fcnt() for non-blocking, and use Sleep() instead of sleep().

2010-02-21  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* texmfmp.c: #include <window/mfdisplay.h> instead of externs.

2010-02-20  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* texmfmp.c (calledit): Use win32_system() with two args only
	for MinGW32, native WIN32 uses only one arg.
	(catch_interrupt) [WIN32]: Declare as static.

2010-02-01  Karl Berry  <karl@tug.org>

	* openclose.c (open_input): do not try prepending TEXMFOUTPUT for
	reading if the filename is absolute.

2010-01-24  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* texmfmp.c (mk_shellcmdlist): Declare string param as const.

2010-01-22  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* texmfmp.c (maininit) [__SyncTeX__]: omit warning about no
	SyncTeX for luaTeX.
	(gettexstring): Declare as static for luaTeX.

2010-01-16  Karl Berry  <karl@tug.org>

	* texmfmp.c (do_dump, do_undump): give full name of file
	in fatal message when something cannot be (un)dumped.

2010-01-02  Karl Berry  <karl@tug.org>

	* texmfmp.c (runsystem): doc fix.

2009-12-23  Karl Berry  <karl@tug.org>

	* usage.c (usagehelp)
	* texmfmp.c (BUG_ADDRESS): default to tex-k@tug.org, no @mail.

2009-12-01  Alexander Cherepanov  <cherepan@mccme.ru>

	* texmfmp.c (parse_first_line): initialize s to NULL.
	* usage.c: doc fix.

2009-11-12  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* texmfmp.c (shell_cmd_is_allowed): Check for invalid single
	quote also within quoted arguments.
	Reported by Akira Kakuto <kakuto@fuk.kindai.ac.jp>,
	diagnosed by Manuel P\'egouri\'e-Gonnard <mpg@elzevir.fr>.

2009-10-24  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* texmfmp.c (openinnameok, openoutnameok): Moved to Kpathsea
	and renamed kpse_{in,out}_name_ok.

2009-09-06  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* texmfmp.c (last_lineno): MAYBE_STATIC for luaTeX.
	(srcspecialsoption, parse_src_specials_option): static but not
	used for luaTeX.

2009-09-05  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* texmfmp.c (runpopen): Used only for pdfTeX and luaTeX.
	(last_source_name etc): Not used by MF.
	(ipcpage): Avoid unconstifying cast.
	(compare_paths): Declare as static.
	(mfwin_sw): Constify member string.

2009-09-04  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* texmfmp.c (initscreen): Add explicit braces.
	(getrandomseed, makefullnamestring): ANSI C definition.

2009-08-27  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* lib.h (NOT_WEB2C): New preprocessor macro, if defined prevents
	declaration of argc, argv, cmdline, and mainbody (from main.c).

2009-08-24  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* openclose.c (open_output): Bugfix? local var 'fname' was
	shadowed by a second one.  Avoid memory leak.

2009-08-22  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* lib.h, texmfmp.c, version.c: Constify ptexbanner and
	versionstring.

2009-08-21  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Avoid maximal compiler warnings.
	* openclose.c (recorder_record_name): Constify string param1.
	(recorder_record_{name,input,output}): Rename param
	nameoffile=>name, not to shadow global var.

2009-08-20  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* lib.h (ptexbanner): Add decl for pdfTeX and luaTeX.
	* texmfmp.c (ptexbanner): Drop decl but keep initializer.
	* printversion.c (kpathsea_version_string):
	#include <kpathsea/version.h> and drop extern declaration.

2009-08-17  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* texmfmp.c (shell_cmd_is_allowed): Change param1 from 'char **'
	to 'const char *'.
	(runsystem, runpopen): Constify string params.

2009-07-24  Martin Schröder  <martin@oneiros.de>

	* printversion.c: don't nest extern declarations

2009-06-23  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* basechsuffix.c, chartostring.c, coredump.c, eofeoln.c,
	fprintreal.c, input2int.c, inputint.c, main.c, openclose.c,
	printversion.c, texmfmp.c, uexit.c, usage.c, win32main.c,
	zround.c: drop P?C, P?H, use ANSI C function declarations.

2009-06-10  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am (AM_CFLAGS): enable compiler warnings.
	* lib.h (new): declarations for *.c from ../cpascal.h.
	* basechsuffix.c, chartostring.c, eofeoln.c, fprintreal.c,
	input2int.c, inputint.c, main.c, openclose.c, printversion.c,
	zround.c: #include "lib.h" to declare function prototypes.
	* openclose.c: declare internal function recorder_record_name as
	static; declare param of recorder_record_input and
	recorder_record_output as const_string as from ../cpascal.h.

2009-06-01  Karl Berry  <karl@tug.org>

	* printversion.c (printversionandexit): it's 2009.
	Also, remove special references to kpathsea author(s) etc.

2009-03-29  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* texmfmp.c: remove all references to (Web2C version of) MP.

2009-05-18  Karl Berry  <karl@tug.org>

	* openclose.c (recorder_start): use output_directory for the .fls
	  file, if it has been specified with --output-directory.
	  metapost mail from Nicola, 16 May 2009 13:41:36.

2009-03-29  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* texmfmp.c: remove all references to Omega, eOmega, and pdfeTeX.

2009-03-28  Karl Berry  <karl@tug.org>

	* texmfmp.c (mk_shellcmdlist, shell_cmd_is_allowed): not static,
	so luatex can access.  From Taco.

2009-03-27  Taco Hoekwater  <taco@luatex.org>

	* texmfmp.c (parse_options): add #ifndef luaTeX guard for 
	--src-specials, because luaTeX does not implement it.
	(parse_src_specials_option): add #ifndef luaTeX guard for
	 the same reason.

2009-03-02  Karl Berry  <karl@tug.org>

	* texmfmp.c (long_options): make -enable-write18 and -disable-write18
	synonyms for -shell-escape and -no-shell-escape.

2009-02-26  Karl Berry  <karl@tug.org>

	* texmfmp.c: Implementation of restricted shell escapes from Akira.
	(mk_shellcmdlist, init_shell_escape, char_needs_quote, Isspace,
	shell_cmd_is_allowed, runsystem, runpopen): new fns.
	(long_options, parse_cmd_line): new option --shell-restricted.
	(main): call init_shell_escape.
	(open_in_or_pipe, open_out_or_pipe): call runpopen.

2009-02-06  Karl Berry  <karl@tug.org>

	* texmfmp.c (maininit) [__SyncTeX__]: omit warning about no
	SyncTeX for Omega and MF/MP.

2008-03-24  Karl Berry  <karl@tug.org>

	* printversion.c: it's 2008.

2008-03-16  Karl Berry  <karl@tug.org>

	* texmfmp.c (maininit): don't append DUMP_EXT if it's already
	there.  Report from Hans.

2008-03-09  Karl Berry  <karl@tug.org>

	* texmfmp.c (maketexstring) [!MP]: only define this fn if !MP,
	since MetaPost has its own in mpdir/utils.c.
	(input_line): initialize i = EOF.  From Taco.

2008-01-29  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.in: Add @configure_input@ line.

2007-12-28  Karl Berry  <karl@tug.org>

	* texmfmp.c (parse_options): do not set user_progname at
	DUMP_OPTION or efmt.
	(maininit): instead, do it here, after options are read.

2007-09-05  Karl Berry  <karl@tug.org>

	* texmfmp.c (long_options): move output-directory output to be
	enabled for MF and MP too.  From Akira.

2007-08-20  Karl Berry  <karl@tug.org>

	* texmfmp.c (main) [WIN32]: _setmaxstdio(2048), to increase
	open files limit.  From Akira, 19 Aug 2007 09:30:30 +0900.

2007-07-26  Karl Berry  <karl@tug.org>

	* openclose.c (recorder_record_name): fflush the recorder file,
	since this is for debugging.  Suggested by George White.

2006-12-28  Martin Schröder <martin@oneiros.de>

	* texmfmp.c: fixed some warnings raised by gcc for unused variables
	and different signedness of arguments

2006-07-16  Karl Berry  <karl@tug.org>

	* mfmpi386.asm: missing " chars.

2006-07-15  Karl Berry  <karl@tug.org>

	* mfmpi386.asm (asm): prepend with .text to avoid seg fault with
	-g3 or -ggdb3 due to the symbols ending up in the data section.
	tex-k report by Edward Catmur, 29 Mar 2006 00:09:15 +0100.

2006-06-19  Karl Berry  <karl@tug.org>

	* texmfmp.c (open_in_or_pipe) [!pdfTeX && !pdfeTeX]: track
	fullnameoffile; from Akira and Jonathan.

2005-08-13  Olaf Weber  <olaf@infovore.xs4all.nl>

	* printversion.c: Update copyright messages.

2005-08-03  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c: Implement -etex switch.

2005-07-29  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c (opennameok): Check all occurrences of ".." in a
	filename, not just the first.  Reported by Yutaka OIWA
	<y.oiwa@aist.go.jp>.

2005-07-27  Olaf Weber  <olaf@infovore.xs4all.nl>

	* printversion.c: libkpathsea is covered by the LGPL, not the GPL,
	and is the common factor that brings in the *GPL to all
	web2c-based programs.

	* texmfmp.c (get_seconds_and_micros): New function, gets high-res
	time if possible.  Remove references to pdfxtex.

2005-07-22  Olaf Weber  <olaf@infovore.xs4all.nl>

	* input2int.c: The correct format string to use depends on whether
	integer is an int or a long int.  Reported by M.J. Rutter
	<mjr19@cus.cam.ac.uk>.

2005-06-26  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in: Replace ac_include with kpse_include.  From Peter
	Breitenlohner.

2005-06-22  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c [MP][BANNER]: Update for MetaPost 0.901.

2005-06-21  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c (opennameok,openinnameok,openoutnameok): Add new
	parameter to opennameok() so its diagnostics are correct wrt to
	whether we are testing a file name for reading or writing.

2005-04-12  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c (getjobname): Add a parameter, the string to return if
	--jobname wasn't given.
	This is part of a group of changes that fix pdftex bug 302.
	http://sarovar.org/tracker/?func=detail&atid=493&aid=302&group_id=106

	* openclose.c (open_input): kpse_find_file() always returns a new
	string, so we can unconditionally deallocate it.

	* texmfmp.c (maininit): Factor out common code into texmf_yesno().
	(texmf_yesno): New function, return true if a variable is set and set
	to 't', 'y', or '1' in texmf.cnf or the environment.

2004-12-20  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c [pdfTeX,pdfeTeX,pdfxTeX]: New variable ptexbanner.

2004-12-19  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c [TeX] (maininit): For all TeX variants, recognize
	"initex" and "virtex" program names, just in case.

2004-09-16  Olaf Weber  <olaf@infovore.xs4all.nl>

	* printversion.c (printversionandexit): Hartmut Henkel
	<hartmut_henkel@gmx.de> noticed that the engines start running
	like this: "This is TeX, Version 3.141592 (Web2C 7.5.3)" but the
	-version output looks like this "TeX (Web2C 7.5.3) 3.141592".
	He supplied a small patch to rectify this.

2004-08-28  Olaf Weber  <olaf@infovore.xs4all.nl>

	* openclose.c (open_input,open_output): Implement output_directory
	option.

	* texmfmp.c: Accept -output-directory option.

2004-07-14  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c (setupcharset): Remove this fuction.  The
	initialization is performed is done by the engine.
	(read_char_translation_file): Rename to readtcxfile.
	(readtcxfile): Some comment changes compared to its previous
	incarnation.

	* usage.c (usagehelp): Add second argument, email address for bug
	reports.  Requested by the pdftex team.

	* texmfmp.c: Add -output-format to the long_options array.
	Also add BUG_ADDRESS to the macros defined for each engine.
	Call usagehelp with BUG_ADDRESS as second argument.
	
2004-07-03  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c (parse_options): Make it so that aleph and omega also
	parse the -translate-file and -8bit options, even though they now
	silently ignore them.  (They have to ignore them in any case, as
	neither makes sense for these programs.)

2004-07-02  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c [TeX]: Implement -efmt as alternate spelling for -fmt.
	This option is only present for backward compatibility, and will
	go away in the future.

2004-06-29  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in: Don't include alloca.o in the objects.  It
	shouldn't be used anywhere.

2004-06-16  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c (get_input_name): Off-by-one errors when
	erasing/restoring the final quote.  From Akira Kakuto
	<kakuto@fsci.fuk.kindai.ac.jp>.

2004-06-15  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c: (normalize_quotes): New function, takes a filename
	and returns an allocated string with the name quoted iff it
	contains a space.
	(get_input_file_name): Factor out normalize_quotes.
	(getjobname): Add quotes if needed.  callmakempx: Add quotes if
	needed.

2004-06-04  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c (get_input_file_name): New function.  Get the name of
	the input file for use by parse_first_line(), and if the filename
	contains spaces make sure a properly quoted version will be given
	to TeX.
	(parse_first_line): Now takes the name of the input file (or NULL) as
	an argument, instead of looking for it.

2004-05-26  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c: Remove -oem code.

2004-05-14  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c: Remove much of the locale-dependent code.  Some
	pieces remain because they are related to the Win32 '-oem' option,
	where I do not know yet whether that option should go as well.

2004-05-10  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c (setupcharset): Fixing a regression.  When a line in a
	TCX file contains two numbers and a comment, set printable=1.
	Reported by Staszek Wawrykiewicz <staw@gust.org.pl>.

2004-05-08  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c (main): We can now put TEXMFENGINENAME into the
	environment for $engine in all cases.

	* texmfmp.c: Add -halt-on-error option.

2004-05-07  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c (maininit): Set $engine appropriately.

	* texmfmp.c: Implement -8bit option.

	* texmfmp.c (makesrcspecial): Always put a space after the line
	number.

2004-04-16  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c (setupcharset): More compact xprn assignment.

2004-03-28  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c: Implement -no-shell-escape, -no-parse-first-line,
	-no-file-line-error.

2004-03-25  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c [eTeX](maininit): e-TeX will no longer treat being
	called as "initex" or "virtex" special.
	(tcx_get_num): Additional argument, upper bound we're accepting.
	(read_char_translation_file): Allow for a third integer, 0 or 1, to
	set printable status.  This way you can translate characters
	without making them printable.  However, enforce that 7bit ASCII
	remains printable.

	* texmfmp.c (maininit): Add sanity check for -enc or -mltex
	without -ini.

2004-03-24  Olaf Weber  <olaf@infovore.xs4all.nl>

	* zround.c: Add public domain notice.

	* win32main.c: Add public domain notice.

	* version.c: Add public domain notice.

	* uexit.c: Add public domain notice.

	* printversion.c: Bump 2003 to 2004 in copyright notices.

	* main.c: Add public domain notice.

	* inputint.c: Add public domain notice.

	* input2int.c: Add public domain notice.

	* fprintreal.c: Add public domain notice.

	* eofeoln.c: Add public domain notice.

2004-03-22  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c (parse_options): Add -output-format for the pdf*TeX
	family.

	* texmfmp.c: Changes for Aleph.

	* texmfmp.c (long_options): Enable "enc" option.

2004-03-16  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c: Allow file:line:error style messages to be enabled
	from texmf.cnf.  From Akira Kakuto <kakuto@fsci.fuk.kindai.ac.jp>.

2004-02-26  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c: Rename isprintable to xprn.

	* win32main.c: Sync with TeXlive.

	* texmfmp.c: Add -enc option.

	* texmfmp.c: Add support for pdfxTeX.

2003-02-16  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c: Update banners for TeX 3.141592, MF 2.71828.

2003-02-07  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c: e-Omega support.

2003-01-24  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c (setupcharset): Do not adapt the isprintable array to
	the locale.

2003-01-10  Olaf Weber  <olaf@infovore.xs4all.nl>

	* printversion.c (printversionandexit): Update copyright notice
	years.

2002-12-14  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c: Remove some unsused variables.

2002-11-11  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c: Implement a -parse-first-line option.  With the
	current code it is possible to switch %&-line parsing on from the
	command line.  To switch it off when it is enabled in texmf.cnf
	requires the use of an environment variable.

2002-10-20  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c: Add support for -jobname option.

2002-10-06  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c (maybe_parse_first_line): Split
	maybe_parse_first_line: maybe_parse_first_line is called to set
	parse_first_line_p for TeX, MF, MP, and parse_first_line is called
	to do the actual parsing.

	* texmfmp.c: Add support for mktexfmt; from Fabrice Popineau.

2002-06-04  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c: Do not allow texmf.cnf to set the src_specials
	option.

2002-06-02  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c: Change handling of source specials so that there is a
	single flag, src_specials_p, which can be used to see if any
	source specials are generated.

	* win32main.c: From Fabrice.

2002-04-02  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c [Omega] (ipcpage,gettexstring): Correction of the way
	the strstartar array is handled.  Reported by Akira Kakuto
	<kakuto@fsci.fuk.kindai.ac.jp>

2001-11-27  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c (initscreen): Clarify message generated when an X
	window cannot be opened.

2001-11-25  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c: Remove unnecessary casts to (int*).  If C++ ->
	NO_MF_ASM.

	* alloca.c: Changes to allow this file to compile with C++.

2001-11-19  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c: Changes to keep C++ compilers from choking.

	* openclose.c: Remove double declaration of recorder_name, make
	prototype of open_input consistent with cpascal.h.

2001-11-18  Olaf Weber  <olaf@infovore.xs4all.nl>

	* uexit.c: Changes to keep C++ compilers from choking.

	* texmfmp.c: Changes to keep C++ compilers from choking.  Changes
	to support the filename recorder.

	* printversion.c: Changes to keep C++ compilers from choking.

	* openclose.c: Changes to keep C++ compilers from choking.
	(recorder_start): New function, starts filename recorder.
	(recorder_change_filename): New function, change the name of the file
	used by the filename recorder.
	(open_input,open_output): Record filename, starting recorder if
	necessary.

	* chartostring.c: Changes to keep C++ compilers from choking.

	* basechsuffix.c: Changes to keep C++ compilers from choking.

2001-11-14  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c (getrandomseed): If available use gettimeofday or
	ftime to obtain a random seed number.  These functions have a
	higher resolution, so fix the problem that subsequent MF or MP
	runs could have the same seed.

2001-10-30  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c: Add support for source specials.

	* openclose.c: Add support for file:line:style messages.

2001-10-26  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c: Implement -tex=program option for mp.

2001-10-24  Olaf Weber  <olaf@infovore.xs4all.nl>

	* usage.c (usage): Remove first argument, should now only be
	called on abnormal exit.
	(usage_help): Print help message, implies a normal exit.

	* texmfmp.c: Modify usage/usage_help invocation.

	* eofeoln.c (readln): New function, read a line and accept CRNL,
	CR, and NL as end-of-line delimiters.

2001-04-23  Olaf Weber  <olaf@infovore.xs4all.nl>

	* eofeoln.c (eoln): Accept both CR and LF as end-of-line
	characters.

2000-08-25  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c (setupboundvariable): Add parentheses for clarity, and
	to silence stupid compilers.

2000-05-03  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c (calledit): The first argument should be a pointer to
	packedASCIIcode.  This matters for Omega.  From "C.M. Connelly"
	<c@eskimo.com>.

2000-04-21  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c [WIN32]: Add support for -oem option.  From Fabrice.

2000-04-13  Olaf Weber  <olaf@infovore.xs4all.nl>

	* openclose.c: Disabled the supporting code for remembering the
	full name while the code for C style error messages and source
	specials is under review.

2000-04-03  Olaf Weber  <olaf@infovore.xs4all.nl>

	* openclose.c (open_input): Save full name of found file in
	full_name_of_file variable.  For "C-style" error messages and
	source-file specials.  After Stefan Ulrich
	<ulrich@cis.uni-muenchen.de> and Fabrice Popineau
	<Fabrice.Popineau@supelec.fr>.

2000-01-13  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c (parse_options): Stop option-processing at the first
	non-option, so that a command line like 'tex \&sgmlbase
	-lhtmlbase.tex -ousing.html using.html' feeds the '-lhtmlbase.tex'
	and '-ousing.html' to the format.  Reported by Jonathan Fine
	<fine@active-tex.demon.co.uk>.

1999-07-12  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c (maininit): Add a --default-translate-file option, to
 	facilitate CSTeX.  Suggestion (relayed?) by Petr Olsak
 	<olsak@math.feld.cvut.cz>.
	(input_line): Make sure that catching a SIGINT won't be seen as a EOF
	on the terminal.  Problem noticed by DEK.

1999-06-28  Olaf Weber  <olaf@infovore.xs4all.nl>

	* openclose.c (open_input): The pdfTeX people asked that the disk
 	not be pounded for .vf files.

1999-05-29  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c (opennameok): Allow ./ or its equivalent.  Use
 	IS_DIR_SEP rather than comparing against DIR_SEP.

	* openclose.c (open_input): Correct comment.

1999-03-15  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c (parse_options): Explicit --progname override the
 	inferred programe of the --fmt option.  Suggested by Sebastian.
	(ztakefraction,ztakescaled,zmakescaled,blankrectangle,paintrow): Add
	prototypes.  From Thomas.

1999-02-14  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c: The translate_filename variable is now external.  Use
 	kpse_web2c_format to find tcx files.

1999-02-06  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c: Remove include for kpathsea/config.h because it is
 	superfluous.
	(calledit): Use P?C macro in definition.

1999-02-04  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c (maybe_parse_first_line): Allow both --translate-file
 	and -translate-file in first line.

	* main.c (main): Remove __cdecl, from Fabrice.

1999-01-27  Olaf Weber  <olaf@infovore.xs4all.nl>

	* zround.c (zround): Add cast to quiet compiler.  By Fabrice.

	* usage.c (usage): Use KPSEDLL for kpse_bug_address.  By Fabrice.

	* texmfmp.c [WIN32]: include sys/timeb.h.
	(mainbody): Add TEXDLL to declaration.
	(maininit): The old main function renamed.
	(main): A new main function, stripped to the bones.
	(getrandomseed): Get a random seed from the current time.
	All after Fabrice.

	* printversion.c (printversionandexit): Add KPSEDLL for
 	kpathsea_version_string, by Fabrice.

	* main.c (main): Add __cdecl, from Fabrice.

1999-01-24  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c: Support for pdfeTeX.  From Thomas Esser.

	* texmfmp.c (maybe_parse_first_line): Default to parsing if
 	maybe_parse_first_line is not defined in texmf.cnf.
	(opennameok): Add an argument to specify default.
	(openinok): Default to "a" if no openin_any found.
	(openoutok): Default to "p" if no openout_any found.

	* mfmpw32.c: Change CRNL to NL line-endings.

1999-01-14  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c: Further changes and fixes for maybe_parse_first_line.
  	Add openinnameok and openoutnameok, which call opennameok.
	(opennameok): Change implementation to reflect this.

1999-01-13  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c: Rename maybe_set_dump_default_from_input to
 	maybe_parse_first_line.  Add TCX support in the form of allowing a
 	--translate-file pseudo-option, as proposed by Wlodzimierz Bzyl
 	<matwb@monika.univ.gda.pl>.

	* printversion.c: Correct --version output.

	* Makefile.in: Rename kpathsea.make to kpathsea.mk.

1999-01-10  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c: Update banners, add MFNOWIN ifdef.

	* printversion.c (printversionandexit): Improve & update message.

	* Makefile.in: Change of ../make/*.make to ../make/*.mk.

1998-12-04  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c: Replace isblank with ISBLANK, to improve handling of
 	whitespace.

1998-07-26  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c (parse_options): Make --progname a no-op after --fmt
 	has been seen.  Thus the order of these options no longer matters.

	* texmfmp.c: Rename openoutnameok to opennameok.

Sun May 31 17:27:22 1998  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c: Add a parse_first_line configuration entry, so the
 	%&format construct can be switched off when desired.  Suggested by
	Denis B Roegel.
	Add a --debug-format option.

Mon May  4 19:41:22 1998  Olaf Weber  <olaf@infovore.xs4all.nl>

	* basechsuffix.c (basenamechangesuffix): Replace call of basename
 	with xbasename.

	* texmfmp.c (openoutnameok): Replace call of basename with
 	xbasename.

Tue Mar 10 06:37:51 1998  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.c [TeX & IPC] (ipcpage): Remember to set begun to true
 	once we've begun.

Sun Mar  8 18:21:46 1998  Olaf Weber  <olaf@infovore.xs4all.nl>

	* printversion.c (printversionandexit): Copyright year is 1998.

Tue Feb 10 17:56:36 1998  Olaf Weber  <infovore@xs4all.nl>

	* texmfmp.c: Provide the hooks for the epsf server.  From Mathias
 	Herberts.

	* eofeoln.c: Prototype eoln.  Spotted by Andreas Scherer
 	<Andreas.Scherer@Pobox.Com>

	* fprintreal.c: Prototype fprintreal.  Spotted by Andreas Scherer
 	<Andreas.Scherer@Pobox.Com>

Fri Jan 23 15:01:31 1998  Olaf Weber  <infovore@xs4all.nl>

	* texmfmp.c: Various patches for Omega from John Plaice.
	(ipcpage [Omega]): Fix because string handling in Omega differs.
	(maybe_set_dump_default): Fix to get %& to work in more cases.

Thu Dec 18 20:37:20 1997  Olaf Weber  <infovore@xs4all.nl>

	* texmfmp.c: Change spelling of -maketex option to -mktex.

Fri Dec 12 10:22:52 1997  Olaf Weber  <infovore@xs4all.nl>

	* openclose.c (open_output): Don't use TEXMFOUTPUT value if it is
 	the empty string.

	* texmfmp.c (openoutnameok): Rewritten to support three levels of
 	permissiveness.
	(main): Assignment to shellenabledp has been rewritten: we now
	enable only if certain values are found.

Mon Dec  1 19:05:06 1997  Olaf Weber  <infovore@xs4all.nl>

	* texmfmp.c (maybe_set_dump_default_from_input): Reset the program
 	name if the dump_name changes.

	* texmfmp.c [WIN32 && !NO_MF_ASM]: Include "lib/mfmpw32.c" instead
 	of "../win32/mfmpi386.c".

	* texmfmp.c (main, parse_options): Add support for --interaction
 	option.

	* texmfmp.c (main) [eTeX]: Make sure calling e-TeX as initex or
 	virtex works as it should.

Sat Nov 29 13:06:53 1997  Olaf Weber  <infovore@xs4all.nl>

	* texmfmp.c (main): We assume "plain" for the dump_name iff the
 	program was called as ini* or vir*.  And in the case of ini*, the
 	file name will override this anyway.

	* texmfmp.c (callmakempx): Add xstrdup, because we end up
 	potentially freeing a static string otherwise.  From Fabrice
	Popineau.

Sun Nov 23 19:43:57 1997  Olaf Weber  <infovore@xs4all.nl>

	* texmfmp.c (openoutnameok): When we're trying to be safe, add
 	some extra paranoia supplied by Charles Karney <karney@pppl.gov>.

Sat Nov 22 19:26:13 1997  Olaf Weber  <infovore@xs4all.nl>

	* texmfmp.c (main): Use kpse_set_program_name and
 	kpse_program_name instead of kpse_set_progname and
 	program_invocation_short_name.

Sat Nov 15 21:27:23 1997  Olaf Weber  <infovore@xs4all.nl>

	* texmfmp.c: Various changes to support Omega.

Fri Nov 14 16:43:28 1997  Olaf Weber  <infovore@xs4all.nl>

	* texmfmp.c [eTeX,PDFTeX]: Inclusion of header file with
 	appropriate banner.

Fri Oct 24 13:41:56 1997  Olaf Weber  <infovore@xs4all.nl>

	* texmfmp.c: Prototypes for the mf_*_{blankrectangle,paintrow}
 	functions.

Mon Oct 20 08:16:40 1997  Olaf Weber  <infovore@xs4all.nl>

	* texmfmp.c [WIN32]: Added support for WIN32WIN.  Added suppport
 	for redirection of stderr to a logfile.  Added support for asm
 	routines.  Prototyped mainbody.
	(setupboudvariable): Don't try to free expansion if it is NULL.
	From Fabrice Popineau.
	
	* main.c (main): Prototype mainbody.  From Fabrice Popineau.

Sun Oct 19 10:57:43 1997  Olaf Weber  <infovore@xs4all.nl>

	* printversion.c (printversionandexit): Removed web2c maintainer's
	name from version info.

Fri Oct 17 10:33:06 1997  Olaf Weber  <infovore@xs4all.nl>

	* texmfmp.c: Correct prototypes for all the varieties of
 	...initscreen and ...updatescreen.  No prototypes for
 	...blankrectangle and ...paintrow.

	* texmfmp.c (main) [MSDOS, WIN32]: Use case-insensitive comparison
 	for filenames on MS-DOS/MS-Windows.
	(openoutnameok): When testing for `unix' make sure `MSDOS' is NOT
	defined since DJGPP defines both.
	(initscreen): Use "mftalk" for DJGPP as well.
	From Eli Zaretskii <eliz@is.elta.co.il>.

Thu Oct 16 20:34:25 1997  Olaf Weber  <infovore@xs4all.nl>

	* texmfmp.c (parseoptions [TeX], main): Remove everything related
 	to the -extend-jobname option.

Fri Oct  3 11:46:15 1997  Olaf Weber  <infovore@xs4all.nl>

	* texmfmp.c: Add prototypes for the mf_trap_* functions.  After
 	Fabrice Popineau.

Thu Oct  2 18:07:24 1997  Olaf Weber  <infovore@xs4all.nl>

	* texmfmp.c (main): Added locale support.  From Bernd Raichle
 	<raichle@informatik.uni-stuttgart.de>.

Tue Sep 30 12:00:13 1997  Olaf Weber  <infovore@xs4all.nl>

	* version.c: use version string from c-auto.h.

	* texmfmp.c: Changed return type of main int.

Fri Mar 21 16:38:48 1997  Karl Berry  <karl@cs.umb.edu>

	* texmfmp.c (struct msg): Do not try to declare the zero-length
		array, just leave it out.
	Bug from: jumper@lens.sri.com (Greg Jumper)

Wed Feb 12 08:18:07 1997  Fabrice POPINEAU  <popineau@ese-metz.fr>

	* texmfmp.c (catch_interrupt): Win32, differentiate between user
	interrupt and console closing. 

Mon Feb  3 18:01:42 1997  Karl Berry  <karl@cs.umb.edu>

	* texmfmp.c (parse_options): Check for -1, not EOF,
	per new getopt.

Mon Jan 27 22:44:29 1997  Ulrik vieth  <vieth@thphy.uni-duesseldorf.de>

	* texmfmp.c (BANNER) [MP]: Update to version 0.632.

Sat Jan 18 13:04:34 1997  Karl Berry  <karl@cs.umb.edu>

	* texmfmp.c: Update len.
	From: Gregor Hoffleit <flight@mathi.uni-heidelberg.de>.

Thu Jan 16 14:29:50 1997  Karl Berry  <karl@cs.umb.edu>

	* alloca.c: New version from /gd/gnu/lib.

	* texmfmp.c (funny_core_dump): Move to new file.
	* coredump.c: New file.
	* Makefile.in (objects): Add coredump.o.
	This makes it possible for BibTeX to find the function
	(not that it needs it).
	From: Richard Walker <Richard.Walker@cs.anu.edu.au>

Sun Jan  5 16:11:12 1997  Karl Berry  <karl@cs.umb.edu>

	* printversion.c: It's 1997 now.

Sun Dec 29 17:11:03 1996  Karl Berry  <karl@cs.umb.edu>

	* basechsuffix.c (basenamechangesuffix): Filename comparison may
		be case-insensitive.  From Fabrice.

Sat Dec 28 17:37:14 1996  Karl Berry  <karl@cs.umb.edu>

	* texmfmp.c (ipcpage): Pass the whole DVI filename to the other
	end of the connection, not just the relative name.  (It may have
	been already started up.)

Sun Dec 15 16:50:25 1996  Karl Berry  <karl@cs.umb.edu>

	* texmfmp.c: #if 0-out all the TCX file stuff.
	Suggested by David Carlisle et al.

Sun Dec  8 16:40:57 1996  Karl Berry  <karl@cs.umb.edu>

	* openclose.c (standardinput, standardoutput): Remove these;
	make them globals in bibtex.ch itself.

	* printversion.c, texmfmp.c, usage.c: WIN32 changes.
	From Fabrice.

Sat Dec  7 11:10:39 1996  Karl Berry  <karl@cs.umb.edu>

	* texmfmp.c (topenin): Rewrite to avoid strcat, for Omega.
	From: John Plaice <plaice@iad.ift.ulaval.ca>.

Fri Dec  6 17:44:45 1996  Karl Berry  <karl@cs.umb.edu>

	* texmfmp.c (main) [TeX && Omega]: Initialize MakeTeX{OCP,OFM}.
	* openclose.c (ocptemp): New global.
	(open_input): Read ahead in ofm and ocp files.

Tue Dec  3 15:15:14 1996  Ulrik Vieth  <vieth@thphy.uni-duesseldorf.de>

	* Makefile.in: Remove spurious targets for wsun.c and wx11.c.

Tue Dec  3 15:15:14 1996  Ulrik Vieth  <vieth@thphy.uni-duesseldorf.de>

	* texmfmp.c (long_options): mpost -T or -troff doesn't take an
 	optional argument.

	* Makefile.in: Remove spurious targets for wsun.c and wx11.c.

Wed Nov 27 10:02:21 1996  Karl Berry  <karl@cs.umb.edu>

	* texmfmp.c (NO_MF_ASM) [__sun__]: Define; our assembler code
	doesn't work with the Solaris/x86 assembler.
	* mfmpi386.asm: Doc fix.

Sat Nov 23 14:42:53 1996  Karl Berry  <karl@cs.umb.edu>

	* texmfmp.c (openoutok): Allow .tex as a special case.

Fri Nov 15 16:15:32 1996  Karl Berry  <karl@cs.umb.edu>

	* texmfmp.c (openoutnameok): Do not free the result of basename;
	it's never dynamically allocated anyway.

Sun Nov 10 16:37:19 1996  Karl Berry  <karl@cs.umb.edu>

	* texmfmp.c: Check for inimpost and virmpost instead of 
	inimp and virmp.

Mon Oct 14 17:27:34 1996  Karl Berry  <karl@cs.umb.edu>

	* texmfmp.c (DUMP_EXT) [DOS]: Only truncate to .bas if DOS,
	not DOSISH; WinNT/Win95 support long filenames (at long last).
	(initscreen) [WIN32]: Use mftalk a la OS2.
	(get_date_and_time): Include parameter in old_handler decl.

Mon Oct  7 12:49:38 1996  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in (objects): Include printversion.o.
	* printversion.c: New file.

	* texmfmp.c: Oops, iniversion doesn't it, it's global.
	(parse_options): Call printversionandexit.

Sun Oct  6 10:17:00 1996  Karl Berry  <karl@cs.umb.edu>

	* texmfmp.c (main): Initialize iniversion and virversion.

Sat Sep  7 16:14:41 1996  Karl Berry  <karl@cs.umb.edu>

	* usage.c: Include the bug reporting address.

Sun Aug  4 15:48:03 1996  Karl Berry  <karl@cs.umb.edu>

	* texmfmp.c (parse_options): Print the Kpathsea version string, too.
	* version.c: Do `Web2c VERSION' instead of `C version VERSION'.

Fri Jul 26 15:47:29 1996  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in: Remove co.make.

Sat Jun  1 13:17:09 1996  Karl Berry  <karl@cs.umb.edu>

	* texmfmp.c (openoutnameok): Change #ifdef to TeX || MP.

Fri May 24 11:38:59 1996  Karl Berry  <karl@cs.umb.edu>

        * texmfmp.c (main): Initialize extend_jobname.
        (parse_options) [TeX]: New option -extend-jobname.

Sun Apr 28 15:13:22 1996  Karl Berry  <karl@cs.umb.edu>

        * mfmpi386.asm [ASM_NEEDS_UNDERSCORE]: #ifdef labels on new
        configure condition.
        From: Peter Breitenlohner <peb@MPPMU.MPG.DE>.

Tue Apr 23 08:26:11 1996  Karl Berry  <karl@cs.umb.edu>

        * texmfmp.c (callmakempx): Always pass -troff, even if we got the
        command name from texmf.cnf.

Sun Apr 21 16:59:44 1996  Karl Berry  <karl@cs.umb.edu>

        * texmfmp.c (parse_options): New options -maketex and -no-maketex
        for TeX and MF.

Sat Apr 20 17:55:37 1996  Karl Berry  <karl@cs.umb.edu>

        * texmfmp.c [IPC_DEBUG]: Text changes.

Fri Mar 22 15:30:45 1996  Karl Berry  <karl@cs.umb.edu>

        * Remove GPL from these files; Web2c proper can stay p.d.

Sun Mar 10 16:12:14 1996  Karl Berry  <karl@cs.umb.edu>

        * openclose.c: Oops, forgot to #include variable.h.

Fri Mar  8 16:00:20 1996  Karl Berry  <karl@cs.umb.edu>

        * texmfmp.c (init_maketex): Remove this; we will do it in Kpathsea
        instead now, in the format initialization tex-file.c.

        * openclose.c (open_output): Look for TEXMFOUTPUT in texmf.cnf.

Wed Feb 21 11:45:02 1996  Karl Berry  <karl@cs.umb.edu>

        * openclose.c: Don't abort if the TFM file is empty.

Sat Feb 17 15:22:52 1996  Karl Berry  <karl@cs.umb.edu>

        * texmfmp.c (openoutnameok): New function.

Fri Feb 16 17:51:53 1996  Karl Berry  <karl@cs.umb.edu>

        * texmfmp.c (long_options) [NONASCII]: Include --translate
        conditionally.  (Really should change the help message, too.)

Sat Feb 10 15:22:59 1996  Karl Berry  <karl@cs.umb.edu>

        * texmfmp.c (parse_options): Make DUMP_OPTION also set the user
        progname, since -progname sets the dump name.

Fri Dec 29 17:16:42 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in: misc.make is now clean.make.

Sun Dec 17 15:09:44 1995  Karl Berry  <karl@cs.umb.edu>

        * texmfmp.c (long_options): New option --debug-format, suggested
        by David Carlisle.

Sun Dec 10 16:13:46 1995  Karl Berry  <karl@cs.umb.edu>

        * mfmpi386.asm: Remove _'s. From Wayne.

        * texmfmp.c (PROGRAM_VERSION) [MP]: Now at 0.631.
        [TeX] No asm stuff. From Gregor Hoffleit, et al.

Sun Nov 26 13:39:00 1995  Karl Berry  <karl@cs.umb.edu>

        * texmfmp.c (main): Enable mltex extensions if --mltex option or
        the program name is mltex.

Fri Nov 17 14:35:45 1995  Karl Berry  <karl@cs.umb.edu>

        * texmfmp.c (-program): New option for TeX, MF, MP. Suggested by Bernd.

Thu Nov 16 16:20:03 1995  Karl Berry  <karl@cs.umb.edu>

        * texmfmp.c (argv, argc): Do not define as static, as we declare
        them extern in cpascal.h. From Andreas Scherer.

Sun Nov 12 16:32:27 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (sysopt_o): Remove this stuff. From Wayne.
        * texmfmp.c [i386 && GNUC && !NO_MF_ASM]: #include mfmpi386.asm
        instead of using the C code.

        * texmfmp.c: Disable shell escapes by default.

Fri Oct  6 16:23:03 1995  Karl Berry  <karl@cs.umb.edu>

        * texmfmp.c (maybe_set_dump_default_from_input): Make %&ini set
        iniversion. Suggested by Wayne.

Mon Oct  2 15:48:21 1995  Karl Berry  <karl@cs.umb.edu>

        * texmfmp.c (init_maketex): Really disable if the value is zero.

Sat Sep 30 16:02:56 1995  Karl Berry  <karl@cs.umb.edu>

        * texmfmp.c (main) [TeX]: Look up the `noshell' config variable.
        (parse_options): No options -noshell and -output-comment.

Sat Sep 23 15:04:54 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (objects): Remove strtol.o, this is in kpathsea now.

Fri Sep 22 15:51:13 1995  Karl Berry  <karl@cs.umb.edu>

        * texmfmp.c (init_maketex): New routine.
        (main): Call it, instead of repeating the weird code.

Mon Sep  4 17:16:06 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (objects): Remove xopenfile.o.
        * xopenfile.c: Move to kpathsea.

Thu Aug 31 13:35:47 1995  Karl Berry  <karl@cs.umb.edu>

        * texmfmp.c [!MF_ASM_FRACTION] (takefraction, ...): Conditionalize
        the floating-point definitions on this, too.
        * Makefile.in (optx86.o): New target.
        * optx86.s: New file.

Tue Aug 22 14:11:27 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in: Include rdepend.make, instead of repeating the code.

Mon Jul 31 17:46:31 1995  Karl Berry  <karl@cs.umb.edu>

        * texmfmp.c (setupboundvariable): Call kpse_var_value, so we don't
        have to pass in the $. Similarly everywhere else.

Sat Jul 29 19:26:33 1995  Karl Berry  <karl@cs.umb.edu>

        * texmfmp.c (callmakempx): Rewrite to pass -troff flag, instead of
        invoking troff script. And use new kpse_var_value.

Fri Jul 28 11:10:26 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (depend): Comment out this target in the
        distribution, it doesn't work when $srcdir != build-dir.

        * texmfmp.c (callmakempx): Don't call anything if the command is
        `none'.

Tue Jul 25 13:39:04 1995  Karl Berry  <karl@cs.umb.edu>

        * texmfmp.c (callmakempx): Free the variable expansion.

Mon Jul 24 11:48:35 1995  Karl Berry  <karl@cs.umb.edu>

        * texmfmp.c (callmakempx): New fn.

Sun Jul 23 11:39:51 1995  Karl Berry  <karl@cs.umb.edu>

        * texmfmp.c (edit_value): Remove this #define.
        (calledit): Call kpse_var_expand for TEXEDIT et al., instead of
        just getenv.
        (ztakefraction, zmakefraction, ztakescaled, zmakescaled): Include
        Hobby's C code from mpmath.c.

Sat Jul 22 14:20:38 1995  Karl Berry  <karl@cs.umb.edu>

        * openclose.c (open_input) [FUNNY_CORE_DUMP]: Recognize
        HackyInput... for MetaPost. Doc fixes.

        * texmf.c: Rename to texmfmp.c for MetaPost support.
        (long_options) [MP]: Add -T and -troff.

Thu Jul 20 13:40:39 1995  Karl Berry  <karl@cs.umb.edu>

        * texmf.c (setupboundvariable) [TeX]: Remove conditional, since MF
        sets a couple simple variables dynamically now.
        (initscreen): Get MFTERM from texmf.cnf file if it's there,
        instead of just calling getenv.

Tue Jul 18 13:40:25 1995  Karl Berry  <karl@cs.umb.edu>

        * texmf.c (initscreen): Give warning if they're using X, but there
        is no X support.

Mon Jul 17 13:10:37 1995  Karl Berry  <karl@cs.umb.edu>

        * texmf.c (NO_FMTBASE_SHARE): Rename to NO_DUMP_SHARE.
        [MF]: Declare return types for window routines.
        Also, move trap support to another file, window/trap.c.

Sun Jul 16 14:35:33 1995  Karl Berry  <karl@cs.umb.edu>

        * texmf.c (main): Rewrite enabling of MakeTeX* to match new
        configure stuff.

Sat Jul 15 16:05:37 1995  Karl Berry  <karl@cs.umb.edu>

        * texmf.c: Doc fix.

Fri Jul 14 14:31:57 1995  Karl Berry  <karl@cs.umb.edu>

        * texmf.c (read_char_translation_file): Compute `charssavedbycharset'.
        (setupcharset): Do not allow dynamic translation in initex.

Thu Jul 13 14:05:24 1995  Karl Berry  <karl@cs.umb.edu>

        * texmf.c (setupcharset, read_char_translation_file,
        tcx_get_num): New functions to implement dynamic char translations.
        (parse_options): Add -translate-file option.

Sun Jul  9 15:28:09 1995  Karl Berry  <karl@cs.umb.edu>

        * texmf.c (maybe_set_dump_default_from_input): Don't index
        argv[optind] if optind is >= argc.

Tue Jul  4 16:58:54 1995  Karl Berry  <karl@cs.umb.edu>

        * texmf.c (maybe_set_dump_default_from_input): Finish implementing
        this (%&FNAME on first line => use FNAME for dump file).

Thu Jun 29 17:50:38 1995  Karl Berry  <karl@cs.umb.edu>

        * texmf.c (parse_options) [TeX && IPC]: Concatenate TEX_IPC_HELP
        to the help string.

        * openclose.c (open_input): Detect nonexistent files correctly again.

Wed Jun 21 15:54:45 1995  Karl Berry  <karl@cs.umb.edu>

        * texmf.c (parse_options): Add --fmt (TeX) and --base (MF).
        (DUMP_OPTION): #ifdef'd #define to determine which.

Mon Jun 19 20:09:34 1995  Karl Berry  <karl@cs.umb.edu>

        * texmf.c: Add IPC support.
        From: Shamim Mohamed <shamim@howland.isu.edu>
        From: Tomas G. Rokicki <rokicki@CS.Stanford.EDU>

Sat Jun 10 16:06:06 1995  Karl Berry  <karl@cs.umb.edu>

        * openclose.c: Doc fix.

Fri Jun  9 19:36:12 1995  Karl Berry  <karl@cs.umb.edu>

        * main.c, texmf.c (main) [__EMX__]: Add _wildcard and _response calls.
        * texmf.c: Add mftalk support.
        (funny_core_dump, catch_interrupt) [__EMX__]: OS2 support.
        From: rs@purple.in-ulm.de (Ralph Schleicher).

Sun Jun  4 10:30:36 1995  Karl Berry  <karl@cs.umb.edu>

        * eofeoln.c (eof): Return true if the file doesn't exist.

        * texmf.c: Add support for AMIGAWIN.  From Andreas Scherer.

        * alloca.c (NULL, xmalloc): Do not define these here, they're
        (indirectly) in config.h. From Andreas Scherer.

        * texmf.c (setupboundvariable): Don't complain about 0 in the cnf
        file if the default is also 0.

Sat Jun  3 11:54:28 1995  Karl Berry  <karl@cs.umb.edu>

        * xopenfile.c: Include the program name in the error message.

        * texmf.c (setupboundvariable): If the variable is unset in
        texmf.cnf, the expansion is the empty string, not NULL. Also, free
        the expansion.

Fri Jun  2 13:41:41 1995  Karl Berry  <karl@cs.umb.edu>

        * texmf.c (DUMP_EXT) [DOSISH]: Must be `.bas'.  From Wayne.
        (input_line): Cast buf_size in printf to avoid warning.
        (setupboundvariable): New routine for lookup of dynamic bounds.

Sun May 28 17:41:49 1995  Karl Berry  <karl@cs.umb.edu>

        * zround.c: Compare against TeX's boundary integers (as floating
        point constants), instead of INTEGER_{MIN,MAX}.

Fri May 26 17:47:47 1995  Karl Berry  <karl@cs.umb.edu>

        * strtol.c: New file, from textutils.
        * Makefile.in (objects): Add strtol.o.

Wed May 24 17:07:39 1995  Karl Berry  <karl@cs.umb.edu>

        * texmf.c (parse_options): New routine for TeX & MF.
        (PROGRAM_VERSION, PROGRAM_HELP): Define these.
        (main): Call it.

Sat May 20 17:28:51 1995  Karl Berry  <karl@cs.umb.edu>

        * xopenfile.c: Do perror if we had a full filename to try.

        * basechsuffix.c: Take old suffix, and only do the change if the
        old suffix matches.

        * usage.c (usage): If bad status, construct the --help message.

Tue May  9 15:46:25 1995  Karl Berry  <karl@cs.umb.edu>

        * usage.c: Doc fix.

Sat May  6 11:23:23 1995  Karl Berry  <karl@cs.umb.edu>

        * usage.c: New file.
        * Makefile.in (objects): Add it.

Tue Apr 25 14:02:10 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (library): Set to lib instead of lib.a, to match the
        other Makefile conventions.

Sun Apr 23 10:54:35 1995  Karl Berry  <karl@cs.umb.edu>

        * texmf.c: Have to include {tex,mf}d.h before #ifdef TeX, so do it
        from the Makefile.

Sat Apr 22 10:26:10 1995  Karl Berry  <karl@cs.umb.edu>

        * main.c (main): Call mainbody, not main_body.

        * openclose.c (aclose): Don't complain if the file is already closed.
        (texinputtype): Define this.

        * texmf.c (main): Do program_name stuff unconditionally, not just
        in vir*, and rewrite it to use program_invocation_short_name.

Fri Apr 21 11:39:14 1995  Karl Berry  <karl@cs.umb.edu>

        * main.c: Doc fix.

        * input2int.c: Split off from inputint.c.

Sun Apr 16 11:47:37 1995  Karl Berry  <karl@cs.umb.edu>

        * openclose.c (open_input, open_output): Retrieve and store the
        filename from name_of_file + 1, not name_of_file, to avoid extra
        hassles in the change files.

Fri Apr 14 15:28:47 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (objects): Include openclose.o.
        * openclose.c: New file, from openinout.c.

Tue Feb 21 13:51:58 1995  Karl Berry  <karl@cs.umb.edu>

        * xopenfile.c: Have to take another arg, the original name.

Mon Feb 20 17:18:59 1995  Karl Berry  <karl@cs.umb.edu>

        * xopenfile.c: New file.
        * Makefile.in (objects): Add it, and remove xfopen-pas.o.

Sun Feb  5 15:33:29 1995  Karl Berry  <karl@cs.umb.edu>

        * basechsuffix.c: New file.
        * Makefile.in (objects): Add it.

Tue Jan 10 13:20:47 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (objects): Remove strpascal.o (no longer needed) and
        getopt.o (in kpathsea).

Sun Dec 18 16:38:03 1994  Karl Berry  <karl@cs.umb.edu>

        * strpascal.c (errprintpascalstring, etc.): Don't need these any more?

Sat Dec 17 13:42:03 1994  Karl Berry  <karl@cs.umb.edu>

        * mksuffixchar.c: This was short-lived.
        * chartostring.c: This replaces it.
        * Makefile.in (objects): Ditto. Also remove ourpaths.o.

Mon Nov 14 15:13:50 1994  Karl Berry  <karl@cs.umb.edu>

        * mksuffixchar.c: New file.
        * Makefile.in (objects): Add it.

Sun Nov 13 16:43:40 1994  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (objects): Add w*.o.
        (wsun.c, wx11.c): Add links for these.

Fri Oct 28 11:14:08 1994  Karl Berry  <karl@cs.umb.edu>

        * strpascal.c (extendfilename): Remove this.

Thu Oct 27 17:59:07 1994  Karl Berry  <karl@cs.umb.edu>

        * main.c (argv): Return a regular C string, instead of a Pascal string.

Fri May 27 09:50:14 1994  Karl Berry  (karl@cs.umb.edu)

        * texmf.c (main): Don't look for USE_MAKETEX*.

        * c-auto.h.top, texmf.c (NO_FMTBASE_SHARE): Rename from
        NO_FMTBASE_SWAP.

Thu May 26 20:37:24 1994  Karl Berry  (karl@cs.umb.edu)

        * c-auto.h.top: Why did I take out the #ifndef's? Put them back.

Tue May 24 14:43:12 1994  Karl Berry  (karl@cs.umb.edu)

        * texmf.c (funny_core_dump): No need to declare, since we define
        it later in this file.

Mon Apr 18 17:31:59 1994  Karl Berry  (karl@ra.cs.umb.edu)

        * c-auto.h.top: Rename from c-auto.h.in for autoheader convention,
        and don't #ifndef the #undef's.
        * Makefile.in: autoheader/autoconf changes.

Thu Feb 24 11:00:53 1994  Karl Berry  (karl@cs.umb.edu)

        * ourpaths.c: Include tex-file.h instead of init-path.h.

Mon Feb 21 14:29:52 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in: srcdir changes from simon.

        * gftodmem.h: Move here from fontutil, to simplify srcdir stuff.

Wed Feb  2 11:00:47 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 6.1.

Tue Feb  1 11:25:44 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (c-auto.h.in): New target.

        * common.defines (rh): Declare as a field, for TeX--Xet.

Mon Jan 24 07:33:49 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 6.0.

Thu Jan 20 14:22:07 1994  Karl Berry  (karl@cs.umb.edu)

        * c-auto.h.in: Doc fix.

        * MakeTeX{TFM,MF}: Include these as samples, from
        pnoma@wk.estec.esa.nl.

Fri Dec 24 13:48:46 1993  Karl Berry  (karl@cs.umb.edu)

	* getopt.c (_NO_PROTO): Define before including config.h.

Tue Dec  7 10:23:59 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (objs): Ah, flexfatal is in the library now.

Sun Dec  5 15:23:47 1993  Karl Berry  (karl@cs.umb.edu)

	* ourpaths.c (setpaths): Remove the KPSE_MAKE_* enables, this file
	is not compiled in the tex/mf/bibtex directories.
	* texmf.c (main): Set them here.

	* c-auto.h.in (XVIEWWIN): Remove this, as x11-Xt should work
	with OpenWindows. (But leave it in configure, just for old-times'
	sake.)

Sat Dec  4 11:29:57 1993  Karl Berry  (karl@cs.umb.edu)

	* flexfatal.c: New file.
	* Makefile.in (flexfatal.o): New target.
	(objs): Include it.

	* texmf.h (NO_DEBUG) [!TEXMF_DEBUG]: Define this.

	* openinout.c (make_tex_file): Pass address of nameoffile, as required.

Sun Nov 14 02:30:34 1993  Karl Berry  (karl@cs.umb.edu)

	* version.c (VERSION_STRING) [!VERSION_STRING]: Define and protect.

Fri Nov 12 19:38:26 1993  Karl Berry  (karl@cs.umb.edu)

	* cpascal.h (reset, rewrite): Use FOPEN_[RW]BIN_MODE instead of
	"r" and "w". Still not 100% right, but at least something of an
	improvement.

Sun Nov  7 14:17:24 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (.c.o): Use $< instead of $*.c; maybe it will help
	with $(srcdir) stuff?

	* texmf.c (input_line): Trim trailing spaces, tabs, and \r's.

	* lib.h: Remove, this is in Kpathsea now.

	* config.h (INTEGER_TYPE) [LONG_64_BITS && !NO_FMTBASE_SWAP]:
	Define as int in this case.
	(INTEGER_MAX,INTEGER_MIN): Define these as well.
	* zround.c (zround): Use INTEGER_{MAX,MIN}.
	From raichle@informatik.uni-stuttgart.de.

Sat Nov  6 13:21:11 1993  Karl Berry  (karl@cs.umb.edu)

	* c-auto.h.in (NEXTWIN, REGISWIN): #undef by default.
	* texmf.c (mfwin_sw): Add cases for regis and next.
	(mf_{next,regis}_*) [NEXT,REGISWIN]: Declare.

Tue Oct 12 14:03:23 1993  Karl Berry  (karl@cs.umb.edu)

	* openinout.c (open_input): Allow HackyCoreDump's for MF, too.

	* ourpaths.c (testreadaccess): Update fontmap stuff, use it for GF
	and PK as well as TFM.

	* texmf.c: Doc fix.

	* common.defines (cinttype): Declare.
	* cpascal.h (cinttype): Define.

Sun Oct 10 16:17:48 1993  Karl Berry  (karl@cs.umb.edu)

	* ourpaths.c: Rewrite for new kpathsea facilities.

Sun Oct  3 13:49:40 1993  Karl Berry  (karl@cs.umb.edu)

	* ourpaths.c: kpathsea/pathsrch.h has been renamed to pathsearch.h.

	* config.h [ibm032]: Remove all this stuff; I don't think it's
	needed any longer.

	* Makefile.in (*clean): Include standard targets.

Mon Jun  7 08:29:45 1993  Karl Berry  (karl@cs.umb.edu)

	* cpascal.h (addressofint): Do not cast to int first.

Mon May 31 09:40:00 1993  Karl Berry  (karl@cs.umb.edu)

	* config.h (EXIT_SUCCESS): Move to c-std.h.

Tue May 25 14:37:16 1993  Karl Berry  (karl@cs.umb.edu)

	* config.h (EXIT_SUCCESS): Rename from EXIT_SUCCESS_CODE.
	Change callers in various files.

Fri May 21 11:56:02 1993  Karl Berry  (karl@cs.umb.edu)

	* texmf.c (paintrow): Put args in the printf for paintrow.

	* texmf.c (custom_default) [INI]: Declare conditionally, since
	it's used conditionally.
	(main): Declare as void.

	* openinout.c (open_input): Rename IS_PATH_SEP to IS_DIR_SEP.

	* alloca.c: Replace with version from gcc 2.4.0.

	* config.h (testreadaccess): Declare.

	* xfopen-pas.c: Remove unused variable `cp'.

	* main.c (main): Return 0 instead of using uexit.

Tue May 18 13:43:07 1993  Karl Berry  (karl@cs.umb.edu)

	* texmf.c (do_undump) [VMS]: Remove this.  barabash says it works ok.

Thu May 13 16:53:47 1993  Karl Berry  (karl@cs.umb.edu)

	* getopt.c (my_index): Return const char *, and change callers.

	* Not quite all of Bill's changes below have been merged (not the
	new descrip.mms or convert.com files, in particular), but just to
	get the gist, I'll include the whole log.

Wed Mar 24 12:28:25 1993  Bill Barabash  (barabash@ops5.lmo.dec.com)

	* c-auto.h : It's too complicated to convert the big hairy config
	shell script;  I just created a VMS-acceptable c-auto.h manually.

	* c-std.h : Declare VMS's unix-compatibillity routines by including
	<unixlib.h> and <unixio.h>;  don't declare popen() on VMS.

	* common.h : Declare EXIT_SUCCESS_CODE to be 1 on VMS, 0 elsewhere.
	Throw away the VMS system library's getname() declaration, it steps
	on a WEB procedure and is not needed.  Declare routines eof(),
	testreadaccess(), zinput2ints(), extendfilename(), and uexit().

	* convert.com : VMS command procedure based on the shell script
	"convert" (new file).

	* descrip.mms : VMS equivalent of makefile (new file).

	* dirio.h : Don't declare xopendir and xclosedir on VMS.

	* getopt.h : Make my_index accept and return a const character
	pointer.  Have it return NULL instead of 0 when necessary.

	* main.c : Add function prototype for main_body().

	* openinout.c, pascal.h, c-auto.h : For BibTeX, use stdin and stdout
	on VMS (standardinput and standardoutput become macros).

	* pascal.h : On VMS use system-defined abs() and fabs().

	* paths.h : Hand-coded for VMS.

	* pathsrch.c : On VMS, don't compile routine expand_subdir(), and
	look in current directory for input file if path searching fails.
	Routine absolute_p() can now deal with VMS directory specifications.

	* texmf.c : Declare argc so that it links cleanly.  Add an unused
	formal parameter to catch_interrupt so that it can be passed to
	signal without the compiler complaining.  Cast argument to time()
	as a (time_t *) rather than as a (long *).  Get rid of the VMS
	undump code contributed by joe%ril3.decnet@hydra.tamri.com -- it
	causes the TRAP test to fail.

	* texmf.h : Add function prototypes for routines in texmf.c and
	openinout.c.

Thu May 13 14:43:42 1993  Karl Berry  (karl@cs.umb.edu)

	* cpascal.h (fabs) [fabs]: Undefine if it's already defined.

Sun May  9 09:53:05 1993  Karl Berry  (karl@cs.umb.edu)

	* convert: Redirect error echo to stderr; exit 0 if no error.

	* config.h: Changes for kpathsea.  Toss volatile defn.

	* Makefile.in (objs): Remove kpathsea files.

Fri Apr 30 15:06:29 1993  Karl Berry  (karl@cs.umb.edu)

	* openinout.c (make_tex_file): Free cmd.

Fri Apr 16 19:42:15 1993  Karl Berry  (karl@cs.umb.edu)

	* find-suffix.c: Declare arg and return string const.
	* lib.h (find_suffix): Change decl.

	* c-pathch.h (IS_PATH_SEP) [DOS & otherwise]: New defn.
	* pathsrch.c, openinout.c, find-suffix.c: Consequent changes.

Mon Apr 12 06:14:42 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (clean): Remove core here.

Sat Apr 10 15:20:25 1993  Karl Berry  (karl@cs.umb.edu)

	* openinout.c (make_tex_file): Throw away all output.

	* texmf.c (swap_items): Add case for 16-byte items.  
        (From james@miller.cs.uwm.edu.)

	* texmf.c (get_date_and_time): Cast arg to time_t *, not long *.
        (From james@miller.cs.uwm.edu.)

	* texmf.c (get_date_and_time) [SA_INTERRUPT]: Add code for SunOS
        4.1, from ken@cs.toronto.edu.

	* pathsrch.c (expand_subdir) [UNIX_ST_NLINK]: Don't check st_link
        if we don't have Unix semantics.
        * c-auto.h.in (UNIX_ST_NLINK): Define if not DOS or VMS or VMCMS.
        (Suggested by buers@dg1.chemie.uni-konstanz.de.)

	* texmf.c (catch_interrupt): Declare a(n unused) parameter `arg'
        (from beebe).
        (get_date_and_time): Don't do assignment in if condition.

Fri Apr  9 16:10:06 1993  Karl Berry  (karl@cs.umb.edu)

	* xrealloc.c (xrealloc): Don't print old_ptr.

	* c-std.h (stddef.h): Don't include.

	* openinout.c (make_tex_file): cmd is a string, not a character.

Mon Mar 29 08:33:51 1993  Karl Berry  (karl@cs.umb.edu)

	* cpascal.h (abs) [abs]: Undef.

Sat Mar 13 10:22:54 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (CPPFLAGS): Add @DEFS@, for -DHAVE_CONFIG_H.

	* texmf.h: Include cpascal.h instead of config.h.

	* common.h: Merge into config.h and remove.

	* common.h (pascal.h): Don't include this.
        * cpascal.h: Rename from pascal.h.

	* convert: Exit with bad status if the pipeline failed; use
	cpascal.h instead of config.h.

	* openinout.c (make_tex_file): Call xmalloc instead of declaring
	an array; put quotes around the arg of sh -c.

Sun Feb 28 11:10:48 1993  Karl Berry  (karl@cs.umb.edu)

	* c-auto.h.in (MAKE_TEX_*): Replace single NO_MAKETEX with
	individual symbols.

	* openinout.c (maketex*) [MAKE_TEX*]: Make them individually
	selectable. 

Sun Feb 21 08:28:06 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 5.851d.

	* common.defines (maketexmf): New defn.

	* Makefile.in (.c.o): Put $(CFLAGS) after $(CPPFLAGS).

	* openinout.c: Include c-namemx.h.

Tue Feb 16 17:53:54 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (install-exec, install-data): New targets.

Mon Feb 15 10:19:02 1993  Karl Berry  (karl@cs.umb.edu)

	* c-auto.h.in (NO_MAKETEX): New #define for installers.

	* openinout.c (maketex*): New routines, rewrite from yesterday.

	* common.defines (maketextex): Define.

Sun Feb 14 11:54:30 1993  Karl Berry  (karl@cs.umb.edu)

	* openinout.c (open_input) [BibTeX]: Only do NO_FILE_PATH stuff if
	we are BibTeX; declare tfmtemp only when we need it, instead of at
	the outer level; add support for MakeTeX{TeX,MF,TFM}.

Fri Feb 12 07:33:49 1993  Karl Berry  (karl@cs.umb.edu)

	* c-auto.h.in (const): Add defn for Autoconf to use.

	* paths.h.in (TEXFORMATS): Only define once.

Sat Jan 30 09:46:04 1993  Karl Berry  (karl@cs.umb.edu)

	* fontmap.c (map_lookup): Only extend the filename if we have one.

Tue Jan 26 16:07:21 1993  Karl Berry  (karl@cs.umb.edu)

	* version.c: New file to define web2c version.
	* common.h (versionstring): Declare it here.
	* common.defines (versionstring): And here.
        * Makefile.in (objs): Add it.

	* c-auto.h.in (X11WIN) [XVIEWWIN]: Undefine.

Mon Jan 25 12:04:28 1993  Karl Berry  (karl@cs.umb.edu)

	* ourpaths.c (testreadaccess.c): Don't free `found' after copying,
	as it might not be malloc-ed.

Sun Jan 24 11:04:37 1993  Karl Berry  (karl@cs.umb.edu)

	* lib.h (FATAL*, WARNING*): Use `str' instead of `s' for macro formals.

	* xcalloc.c: Remove prototypes.
        * remove-suffx.c, line.c, fontmap.c: Cast *alloc calls to avoid
          silly warnings.

	* texmf.c (swap_items): Rewrite as four while loops, since `size'
	is invariant.  (From Tom.)

Sat Jan 23 10:13:51 1993  Karl Berry  (karl@cs.umb.edu)

	* remove-suffx.c: New file.

Thu Jan 21 11:21:14 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (objs5): New variable.
        ($(lib)): Include it in the archive.

	* extend-fname.c, find-suffix.c, xfopen.c, fontmap.[ch]: New files.

	* ourpaths.c, fontmap.[ch]: Implement a mapping file.

Sat Jan 16 08:36:36 1993  Karl Berry  (karl@cs.umb.edu)

	* c-auto.h.in, paths.h.in: Doc fix.

Sun Jan  3 13:27:37 1993  Karl Berry  (karl@cs.umb.edu)

	* config.h: Move some includes to c-std.h.

	* xcalloc.c: New file.
        * Makefile.in (objs): Add it.

	* Makefile.in (distclean): Remove Makefile; depend on clean.

Fri Jan  1 14:17:37 1993  Karl Berry  (karl@cs.umb.edu)

	* c-auto.h.in, c-memstr.h, dirio.h: Changes for new Autoconf.

	* texmf.c (RETSIGTYPE): Don't default to void.

Fri Dec 18 13:16:47 1992  Karl Berry  (karl@cs.umb.edu)

	* strpascal.c (makesuffixpas): Rename to `extendfilename'.
	* common.defines (extendfilename): Declare.

Wed Dec 16 18:12:51 1992  Karl Berry  (karl@cs.umb.edu)

	* common.defines (atoi): Declare.

Mon Dec 14 07:25:03 1992  Karl Berry  (karl@cs.umb.edu)

	* ourpaths.c: Include paths.h.

Sun Dec 13 17:06:15 1992  Karl Berry  (karl@cs.umb.edu)

	* c-auto.h.in: Merge stuff from site.h.
        * site.h: Delete.
        * config.h: Don't include site.h.

Sat Dec 12 13:08:52 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in: Rewrite from Makefile.

	* openinout.c (open_{in,out}put): Take an extra arg for the fopen mode.
	* texmf.h ([bw]open{in,out}): Use appropriate fopen modes.
	* pascal.h (aopen{in,out}): Likewise.

Fri Dec 11 15:19:25 1992  Karl Berry  (karl@cs.umb.edu)

	* texmf.c: Change ctype references to use uppercase macros.

Sat Dec  5 15:21:24 1992  Karl Berry  (karl@cs.umb.edu)

	* texmf.h (writedvi, writegf): Check the return status of the write.

	* config.h (UNSIGNED_SHORT_STRING): Toss; I think everyone
	understands `unsigned short' now.

Thu Dec  3 13:21:06 1992  Karl Berry  (karl@cs.umb.edu)

	* texmf.c: include c-pathch.h.

Sun Nov 29 14:50:04 1992  Karl Berry  (karl@cs.umb.edu)

	* strpascal.c: include c-pathch.h.

Mon Nov 16 08:12:16 1992  Karl Berry  (karl@cs.umb.edu)

	* openinout.c: include c-pathch.h.

Tue Nov 10 06:49:33 1992  Karl Berry  (karl@cs.umb.edu)

	* texmf.c (main): Change '/' to PATH_SEP.
        * openinout.c (open_input): Likewise.
	* strpascal.c (makesuffixpas): And here.

Mon Nov  9 09:38:58 1992  Karl Berry  (karl@cs.umb.edu)

	* openinout.c (open_input): Use FOPEN_RBIN_MODE instead of simply "r".
        (open_output): Analogously.

	* c-auto.h.in (DOS): New definition, #undef'd by default.

Fri Nov  6 14:52:34 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile (lib): Use $(AR) and $(ARFLAGS) several times.
        (AR, ARFLAGS): New variables.
        (objs1..4): New variables, breaking up the old $(objs).

Tue Oct 27 08:16:41 1992  Karl Berry  (karl@cs.umb.edu)

	* openinout.c (open_output): Remove `openable', just use *f !=
	NULL; also, don't chdir to the envvar's directory, just prepend
	the value and change nameoffile.

	* site.h (TEXPOOLNAME): More instructions for MLTeX.

Sun Oct 25 06:26:22 1992  Karl Berry  (karl@cs.umb.edu)

	* getopt.c: New version.

Tue Oct  6 08:17:45 1992  Karl Berry  (karl@cs.umb.edu)

	* site.h.in: Doc fix.

Thu Sep 24 11:06:14 1992  Karl Berry  (karl@cs.umb.edu)

        * site.h.in: change instructions for OpenWindows.  (mroth@afit.af.mil)

Thu Sep 17 08:29:53 1992  Karl Berry  (karl@hayley)

        * texmf.c (initscreen): if DISPLAY is set, assume we're running
          under X11 for MF online output.

        * texmf.c: remove BibTeX conditionals.

Tue Sep  8 17:06:54 1992  Karl Berry  (karl@hayley)

        * c-auto.h.in (_MINIX, _{ALL,POSIX,POSIX_1}_SOURCE): add #undef's
          for configure to define.

Fri Sep  4 09:01:59 1992  Karl Berry  (karl@hayley)

        * Makefile (extraclean): new target.

Fri Aug 14 07:02:41 1992  Karl Berry  (karl@hayley)

        * ourpaths.h (path_constant_type): remove trailing comma from
          enum, since ANSI stupidly disallows this.

Wed Aug 12 16:20:10 1992  Karl Berry  (karl@hayley)

        * texmf.c (catch_interrupt): change return type to `RETSIGTYPE'.

        * config.h: remove conditional include of c-memstr if `index' is
          defined.

Sat Aug  8 10:11:18 1992  Karl Berry  (karl@hayley)

        * openinout.c (EXTERN) [!BibTeX]: define as `extern'.  How did
          this ever work?

Fri Jul  3 11:23:32 1992  Karl Berry  (karl@hayley)

        * texmf.c (input_line): ignore \r's at the end of the line.

        * site.h.in (XVIEWWIN): undef by default.
        * texmf.c (X11WIN) [MF && (TRAP || INI)]: #undef.

Thu Jul  2 16:11:46 1992  Karl Berry  (karl@hayley)

        * Makefile (CPPFLAGS): new variable
        (.c.o): use it.
        (cflags): change to CFLAGS.

Tue Jun 23 09:09:49 1992  Karl Berry  (karl@hayley)

        * Makefile (CC): change default to `gcc -posix'.

        * site.h.in (NONASCII): document that xord and xchr are ignored
          unless this is defined.

Thu Jun 11 09:20:51 1992  Karl Berry  (karl@hayley)

        * zround.c (zround): return LONG_MAX or LONG_MIN if the double
          being rounded is outside the range of `integer'.
        * c-minmax.h (LONG_{MIN,MAX}): define these if they aren't defined
          by the system.

Fri May 15 10:23:47 1992  Karl Berry  (karl@hayley)

        * getopt.[ch]: new versions.

Thu May 14 19:21:40 1992  Karl Berry  (karl@claude.cs.umb.edu)

        * Version 5.851c.

Wed May 13 14:32:14 1992  Karl Berry  (karl@hayley)

        * pathsrch.c (initalize_path_list): initialize path to the
          original path.

Mon May  4 14:50:20 1992  Karl Berry  (karl@hayley)

        * c-auto.h.in: doc fix.

Sun May  3 08:06:07 1992  Karl Berry  (karl@hayley)

        * main.c (argv): use a prototype if possibile.

        * texmf.ch (*dumpthings): parenthesize `len'.

Wed Apr 29 16:07:52 1992  Karl Berry  (karl@hayley)

        * texmfmem.h (memoryword): had mutually exclusive #if's.
        (twohalves.u): don't need junk at the end?

Sat Apr 25 08:55:34 1992  Karl Berry  (karl@hayley)

        * c-auto.h.in (__CHAR_UNSIGNED__): protect with #ifndef.

        * site.h.in: remove #ifndef's from around the #define's.  I don't
          think these help anything.

Thu Apr 23 07:49:18 1992  Karl Berry  (karl@hayley)

        * c-auto.h.in: new file.

Wed Apr 22 12:43:30 1992  Karl Berry  (karl@hayley)

        * texmf.c: SIGTYPE is now RETSIGTYPE.

Sun Apr 19 10:26:16 1992  Karl Berry  (karl@hayley)

        * texmf.c: had sense of tests on FMTBASE_SWAP reversed.

Thu Apr 16 13:49:36 1992  Karl Berry  (karl@ra.cs.umb.edu)

        * Version 5.851b.

Tue Apr 14 17:06:57 1992  Karl Berry  (karl@hayley)

        * common.defines (BSTINPUTPATHBIT): define.

Sun Apr 12 11:42:14 1992  Karl Berry  (karl@hayley)

        * common.defines (BSTINPUTPATH): define.
        * ourpaths.h (path_constant_type): add BSTINPUTPATH.
        (BSTINPUTPATHBIT): define.
        * site.h-dist (BSTINPUTS): default is TEXINPUTS.
        * ourpaths.c (setpaths): add stuff for BSTINPUTS.

Sat Apr 11 09:26:55 1992  Karl Berry  (karl@hayley)

        * uexit.c: include config.h, for EXIT_SUCCESS_CODE.

Fri Apr 10 16:56:18 1992  Karl Berry  (karl@hayley)

        * ourpaths.c (setpaths): don't pass cwd to initialize_path_list.

        * site.h-dist (*INPUTS, TEXFONTS): add . to these paths.

Wed Apr  8 15:34:21 1992  Karl Berry  (karl@hayley)

        * texmf.c [FMTBASE_SWAP]: make swapping conditional.
        * site.h-dist: add it here for configuration.

        * main.c (do_undump) [VMS]: add code from joe.

        * main.c: use exit, not exit.

        * Makefile (objs): add uexit.o.
        * uexit.c: new file.
        * pascal.h (uexit): remove this, as it's now a function.

Fri Apr  3 09:55:00 1992  Karl Berry  (karl at hayley)

        * Version 5.851a.

Thu Apr  2 11:57:06 1992  Karl Berry  (karl at apollo.cs.umb.edu)

        * c-memstr.h (memcpy) [!NEED_MEMORY_H]: conditionalize.

Thu Apr  2 10:51:11 1992  Karl Berry  (karl at ra.cs.umb.edu)

        * xstat.c (xlstat): (un)prototype-ize.

        * c-limits.h: test for FLOAT_H_MISSING instead of relying on
          _POSIX_VERSION to include <float.h>.

        * c-pathmx.h [_POSIX_VERSION]: don't do pathconf stuff.

Wed Apr  1 16:57:30 1992  Karl Berry  (karl at hayley)

        * common.h (FATAL): use `str' as the arg name, not `s', since we
          need to do `%s'.

        * xopendir.c (xclosedir): prototype-ize it.

        * dir-p (leaf_dir_p): don't initialize a structure (!).

        * {concat,pathsrch,texmf,xmalloc,xstrdup,xrealloc}.c: cast results from
          xmalloc/malloc/realloc (argh).

        * alloca.c: comment things after #endif.

        * site.h-dist (REGFIX): put this back.

        * c-proto.h (P5C) [!__STDC__]: insert missing backslash.

Mon Mar 30 07:28:25 1992  Karl Berry  (karl at hayley)

        * texmfmem.h (u, v, twohalves) [big MF]: define the halfword junks
          again.

Sun Mar 29 15:33:29 1992  Karl Berry  (karl at hayley)

        * alloca.c: new version from gcc 2.1.

Sat Mar 28 09:46:53 1992  Karl Berry  (karl at hayley)

        * main.c (main): return int, exit (EXIT_SUCCESS_CODE).
        * texmf.c (main): likewise.

        * config.h (SCHAR_TYPE): use `__CHAR_UNSIGNED__' again.

Thu Mar 26 06:57:38 1992  Karl Berry  (karl at hayley)

        * Makefile (clean, realclean): depend on mostlyclean.

Sun Mar 22 09:16:04 1992  Karl Berry  (karl at hayley)

        * common.h [BibTeX]: remove the include of <setjmp.h>, as
          bibtex/convert does it.

Sat Mar 21 11:09:55 1992  Karl Berry  (karl at hayley)

        * common.defines (input2ints): for patgen2.
        * inputint.c (zinput2ints): new routine.
        * pascal.h (input2ints): new macro to call it.

        * config.h: include c-pathmx.h.

        * common.defines (TEXPOOLNAME): declare as a constant.

Fri Mar 20 16:10:44 1992  Karl Berry  (karl at hayley)

        * paths.h: new file.

        * config.h: update for new files c-*.h.
        * common.h: remove stuff that is now in lib.h.

Thu Mar 19 11:52:17 1992  Karl Berry  (karl at hayley)

        * ourpaths.c (append_path_list): remove this.

        * ourpaths.c (setpaths): use the envvar TEXFONTS if VFFONTS isn't set.

Tue Feb 11 10:27:38 1992  Karl Berry  (karl at hayley)

        * config.h [NEED_MEMORY_H]: include <memory.h>.

        * config.h [LIMITS_H_MISSING]: include <sys/param.h>.

Sun Feb  2 07:54:53 1992  Karl Berry  (karl at hayley)

        * pathsearch.c (parse_envpath): remove the second / before doing
          subdirectories.

        * pascal.h (optiontable): remove, as getopt no longer has a global
          table for the long options.

Sat Feb  1 15:32:50 1992  Karl Berry  (karl at hayley)

        * ourpaths.c (setpaths): use TEXFONTS if PKFONTS/GFFONTS is not
          set for GF/PK files, as the documentation claims.

        * ourpaths.c (setpaths): remove subdirectory stuff.
        * pathsearch.[ch]: new versions to integrate subdirectories into
          the main paths.

        * texmf{,mem}.c (WEB2C_BIGENDIAN): rename to WORDS_BIGENDIAN.

Fri Jan 31 11:54:46 1992  Karl Berry  (karl at hayley)

        * strpascal.c ({null,space}_terminate): do not translate using
          xord/xchr (from raichle@azu.informatik.uni-stuttgart.de).

Fri Jan 24 07:14:05 1992  Karl Berry  (karl at hayley)

        * Makefile (cflags): don't include -I../config.

        * config.h (__CHAR_UNSIGNED__) [CHAR_UNSIGNED]: define as autoconf
          uses the latter and gcc sometimes the former.

        * config.h: move from config.

        * openinout.c (extensionirrelevantp): new function.
        * common.defines: declare it.

        * ourpaths.h (path_constant_type): rename from `path_constants'.
        * openinout.c (open_input): use it for the path arg.

Wed Jan 15 11:13:45 1992  Karl Berry  (karl at hayley)

        * xgetcwd.c, xchdir.c: don't need these.
        * Makefile (objs): remove from list.
        * dirio.h: remove decls.

        * pathsearch.c (check_subdir): do not cd to the directory we're
          testing.
        (add_directory): test if the name is a directory before adding it
          to the list.
        (parse_envpath): don't test if the names are directories here.
        (initialize_path_list): don't find and cd to the current directory
          between each subdirectory.

Tue Jan 14 16:06:24 1992  Karl Berry  (karl at hayley)

        * texmf.c: do not include <sys/types.h>; it's in config.h now.
        * types.h: likewise.

Sun Jan 12 07:41:34 1992  Karl Berry  (karl at hayley)

        * pathsearch.c (initialize_path_list): cd back to . after checking
          each subdirectory.

        * dirio.h: change directory header stuff as suggested in the
          autoconf manual.

        * ourpaths.h: make the path list an enumeration type.

        * openinout.c (open_input): correctly compute namelength.

        * texmfmem.h (memoryword) [TeX]: make declaration of `glueratio'
          conditional.

        * openinout.c: rearrange ifdefs for coherency.

        * ourpaths.c (append_path_list): overwrite the null in the first
          list.

        * pathsearch.c (initialize_path_list): unconditionally call
          parse_envpath.
        (parse_envpath): if the envvar name is null, don't call getenv.
        If both args are null, do nothing.

        * ourpaths.c (setpaths): initialize the TFM path.

        * common.h (FATAL*): new macros.

        * pascal.h (real): define to be `double'.

        * xfopen-pas.c: new file.

        * eofeoln.c (test_eof): rename to `eof'.
        * pascal.h (eof): remove.       

        * pascal.h (reset, rewrite): `checked_fopen' => `xfopen_pas'.

        * common.h (link): define as `link_var', to avoid conflicts
          between the system call and the web var.

        * common.defines (FILENAMESIZE): rename to `PATHMAX'.

Tue Jan  7 11:26:02 1992  Karl Berry  (karl at hayley)

        * getopt*: new versions.

        * extra.c (getwd) [GETWD_MISSING]: conditionalize.

        * extra.c (zinput3ints): new implementation, from jmr@nada.kth.se.

        * texmf.c (swap_items) [!WEB2C_BIG_ENDIAN]: ifdef on this.
        * texmfmem.h (twohalves, fourquarters): incorporate changes from
          raichle@azu.informatik.uni-stuttgart.de which he says make
          format files finally work.

        * common.h (SCHAR_TYPE): use `signed_char' if ANSI, `short' if
          char is unsigned, otherwise `char'.

